%  lintran3.m
% Matlab file for Part 3 of the Linear Transformations
% module

disp('*********************************************')
disp('Part 3:  The Geometry of 2 x 2 Matrix Maps')
disp('*********************************************')
disp('  ')    

    format short
    
    disp('The following commands plot a grid of points')
    disp('that define a square region in the plane. ')
    disp('row(:,:,i) is a 2 by 11 matrix whose columns  ')
    disp('contain the points of row i of the grid. ')
    disp(' ')
    disp('Enter:')
    disp(' ')
    disp('  xtics = 0: 0.1: 1; ')
    disp('  one = ones(1,11); ')
    disp('  figure(1); clf ')
    disp('  for i = 0:10  ')
    disp('    row(:,:,i+1) = [xtics; 0.1*i*one]; ')
    disp('    h = plot(xtics, row(2,:,i+1),''s''); ')
    disp('    set(h,''Color'',[0.1*i,1-0.1*i,0.1*i]); ')
    disp('    hold on ')
    disp('  end ')
    disp('  axis([-3,3, -3,3]); grid on; ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;   
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 1: ')
    disp('The following commands define a matrix T and')
    disp('then plot in figure 2the square region after')
    disp('transformation by T. ')
    disp(' ')
    disp('Enter:')
    disp(' ')
    disp('  T = [1 0; 0 -1] ')
    disp(' ')
    disp('  figure(2); clf ')
    disp('  for i = 0:10  ')
    disp('    image = T*row(:,:,i+1); ')
    disp('    h = plot(image(1,:), image(2,:),''s''); ')
    disp('    set(h,''Color'',[0.1*i,1-0.1*i,0.1*i]); ')
    disp('    hold on ')
    disp('  end ')
    disp('  axis([-3,3, -3,3]); grid on; ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;   
    disp(' ')
    disp('Steps 2 thru 7: ')
    disp('You can change matrix T and re-execute the above')
    disp('commands to see how T transforms the square grid.')
    disp(' ')
    disp('Answer all questions and give all explanations ')
    disp('by using MATLAB comments in your diary file. ')
    disp(' ')
    disp(' ')
    disp('----------------------------------------------')
    disp('To go on to part 4 of this module, ')
    disp('type: lintran4')
    disp(' ')